package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.params.obe.cultureProgram.ObeCultureProgramCourseParam;
import com.qmth.distributed.print.business.bean.result.obe.cultureProgram.CultureProgramCourseSelectResult;
import com.qmth.distributed.print.business.entity.ObeCultureProgramCourse;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 培养方案课程体系 服务类
 * </p>
 *
 * @author xf
 * @since 2024-06-05
 */
public interface ObeCultureProgramCourseService extends IService<ObeCultureProgramCourse> {

    List<CultureProgramCourseSelectResult> queryList(Long cultureProgramId, Long orgId);

    List<ObeCultureProgramCourse> listCourse(Long cultureProgramId);

    boolean saveCourse(ObeCultureProgramCourseParam obeCultureProgramCourseParam);

    int getMaxSortNum(Long cultureProgramId);

    boolean saveSort(List<ObeCultureProgramCourse> courseList);

    boolean removeCourse(Long id);

    void removeByCultureProgramId(Long id);

    Map<Long, Long> copyByCultureProgramId(Long id, Long obeCultureProgramNewId);
}
